// Generated by CoffeeScript 1.6.3
(function() {
  var alertFail, alertSuccess, failMessage, goodMessage;

  goodMessage = function(str) {
    return '&#x2713; ' + str;
  };

  failMessage = function(str) {
    return '&#x2717; ' + str;
  };

  alertSuccess = function(str) {
    return "<div class='alert alert-success'>" + goodMessage(str) + "</div>";
  };

  alertFail = function(str) {
    return "<div class='alert alert-danger'>" + failMessage(str) + "</div>";
  };

  new GCSAPI.View.VehicleBased({
    el: '#telem-connected',
    watching: 'has_heartbeat',
    getContent: function() {
      var msg;
      return msg = this.model.has_heartbeat() ? alertSuccess('Telemetry connected') : alertFail('Vehicle not connected');
    }
  });

  new GCSAPI.View.VehicleBased({
    el: '#rc-connected',
    watching: 'rc_connected',
    getContent: function() {
      if (this.model.rc_connected()) {
        return alertSuccess('RC Transmitter is on');
      } else {
        return alertFail('RC Transmitter offline');
      }
    }
  });

  new GCSAPI.View.VehicleBased({
    el: '#manual-mode',
    watching: 'manual_mode',
    getContent: function() {
      var mode;
      mode = this.model.current_mode();
      if ((mode === "MANUAL") || (mode === "STABILIZE")) {
        return alertSuccess('Vehicle in MANUAL mode');
      } else {
        return alertFail('Vehicle not in MANUAL mode');
      }
    }
  });

  new GCSAPI.View.VehicleBased({
    el: '#has-3d-fix',
    watching: 'location',
    getContent: function() {
      if (this.model.has_3d_fix()) {
        return alertSuccess('GPS has 3D fix');
      } else {
        return alertFail('GPS does not have 3D fix');
      }
    }
  });

}).call(this);
